{
  description = "PlanktoScope Build Workshop Slides";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    self,
    nixpkgs,
    flake-utils,
    ...
  } @ inputs:
    flake-utils.lib.eachSystem ["aarch64-linux" "x86_64-linux"] (localSystem: {
      devShells.default = import ./nix/shell.nix inputs localSystem;
      devShell.x86_64-linux = let
        pkgs = nixpkgs.legacyPackages.x86_64-linux;
      in
        pkgs.mkShell {
          buildInputs = [
            pkgs.gcc.cc.lib
          ];
        };
    });
}
